### Method

# EDataServer OAuth2Service get_name

since: 3.28

#### Declaration [src]

    const gchar*
    e_oauth2_service_get_name (
      EOAuth2Service* service
    )

#### Description [src]

Returns a unique name of the service. It can be named for example by the server or the company from which it receives the OAuth2 token and where it refreshes it, like “Company” for login.company.com.

Available since: 3.28

#### Return value

Type: `const gchar*`

The name of the `service`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.